Skip to main content
`Ctrl`+`K`

# PetscSubcommGetContiguousParent

Gets a communicator that is a duplicate of the parent but has the ranks reordered by the order they are in the children

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSubcommGetContiguousParent(PetscSubcomm scomm, MPI_Comm *pcomm)

Collective

## Input Parameter

- scomm - the `PetscSubcomm`

## Output Parameter

- pcomm - location to store the parent communicator

## See Also

`PetscSubcommDestroy()`, `PetscSubcommSetTypeGeneral()`, `PetscSubcommSetFromOptions()`, `PetscSubcommSetType()`, `PetscSubcommSetNumber()`, `PetscSubcommGetChild()`, `PetscSubcommContiguousParent()`

## Level

intermediate

## Location

src/sys/objects/subcomm.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages